%define	url_ver		%(echo %{version} | cut -d "." -f -2)

%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library to handle various audio file formats
Name:		audiofile
Version:	0.3.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.68k.org/~michael/audiofile/
BuildRequires:	alsa-lib-devel

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{develname}
Summary:	Includes and other files to develop audiofile applications
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	%{_lib}audiofile0-devel < 0.3.2

%description -n	%{develname}
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q

%build
%configure2_5x --enable-largefile --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_mandir}/man1/*

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog

* Wed Feb 06 2013 ovitters <ovitters> 0.3.5-1.mga3
+ Revision: 394771
- new version 0.3.5

* Fri Jan 11 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 346580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 01 2012 ovitters <ovitters> 0.3.4-1.mga3
+ Revision: 234421
- new version 0.3.4

  + fwang <fwang>
    - drop unused patch

* Thu Jan 12 2012 fwang <fwang> 0.3.3-1.mga2
+ Revision: 195267
- update libmajor
- new version 0.3.3

* Wed Nov 30 2011 fwang <fwang> 0.3.2-1.mga2
+ Revision: 174369
- update file list
- more linkage fix
- fix linkage
- new version 0.3.2

* Tue Sep 27 2011 ovitters <ovitters> 0.3.1-3.mga2
+ Revision: 149574
- clean spec file

* Mon Sep 26 2011 shlomif <shlomif> 0.3.1-2.mga2
+ Revision: 148759
- Add the missing alsa-lib-devel BuildRequires
- Upgraded to 0.3.1. Some changes inspired by the Mandriva spec.

* Wed Jan 12 2011 blino <blino> 0.2.7-3.mga1
+ Revision: 6607
- remove old ldconfig scriptlets
- imported package audiofile

